# $Revision: 1.16 $, $Date: 2010/06/06 08:43:10 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Test
%define		pnam	Taint
Summary:	Test::Taint - tools to test taintedness
Summary(pl.UTF-8):	Test::Taint - narzędzia do sprawdzania napiętnowania
Name:		perl-Test-Taint
Version:	1.04
Release:	4
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Test/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	a005ab5a2e22ab462b4f3661d1d1d5e0
URL:		http://search.cpan.org/dist/Test-Taint/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tainted data is data that comes from an unsafe source, such as the
command line, or, in the case of web apps, any GET or POST
transactions (see perlsec(1) man page for details on why tainted data
is bad, and how to untaint the data).

When you're writing unit tests for code that deals with tainted data,
you'll want to have a way to provide tainted data for your routines to
handle, and easy ways to check and report on the taintedness of your
data, in standard Test::More style.

%description -l pl.UTF-8
Dane napiętnowane to dane pochodzące z niebezpiecznego źródła, takiego
jak linia poleceń, lub, w przypadku aplikacji WWW, wszelkie transakcje
GET i POST (na stronie podręcznika perlsec(1) można znaleźć
dokładniejsze informacje dlaczego dane napiętnowane są złe i jak
pozbyć się z nich piętna).

Przy pisaniu testów jednostkowych dla kodu przetwarzającego dane
napiętnowane zwykle chcemy móc dostarczyć napiętnowane dane do
własnych funkcji i w łatwy sposób sprawdzić napiętnowanie naszych
danych w standardowym stylu Test::More.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%dir %{perl_vendorarch}/Test
%{perl_vendorarch}/Test/Taint.pm
%dir %{perl_vendorarch}/auto/Test
%dir %{perl_vendorarch}/auto/Test/Taint
%{perl_vendorarch}/auto/Test/Taint/Taint.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Test/Taint/Taint.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Test-Taint.spec,v $
Revision 1.16  2010/06/06 08:43:10  arekm
- release 4

Revision 1.15  2009/03/14 12:01:08  hawk
- release 3

Revision 1.14  2008/03/24 23:06:01  qboosh
- generic URL

Revision 1.13  2008-02-10 12:20:55  arekm
- rel 2

Revision 1.12  2008-01-10 08:38:41  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.11  2007-02-13 07:47:15  glen
- tabs in preamble

Revision 1.10  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.9  2006/08/24 07:44:14  migo
- do not require Test-Pod and Test-Pod-Coverage - we do not need such tests

Revision 1.8  2004/11/03 22:30:48  paladine
- formatting

Revision 1.7  2004/08/11 19:10:50  adamg
- updated to 1.04

Revision 1.6  2004/05/07 00:32:05  ankry
- rel. 2

Revision 1.5  2004/05/03 00:55:43  ankry
- license fixes, cosmetics

Revision 1.4  2004/04/25 16:33:16  adamg
- updated to 1.02

Revision 1.3  2004/04/22 20:05:12  qboosh
- it's the only user of vendorarch{,/auto}/Test for now - added dirs

Revision 1.2  2004/04/22 19:59:29  qboosh
- descriptions, license, missing dir

Revision 1.1  2004/04/22 18:56:39  agaran
- new spec, nfy, BuildRequires need update
